
package app03b.action;

import app03b.to.ProductTO;
import app03b.form.ProductForm;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

public class SaveProductAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form,
    HttpServletRequest request, HttpServletResponse response) throws Exception {
  	
    ProductForm productForm = (ProductForm) form;
    ProductTO product = new ProductTO();
    product.setCategory(productForm.getCategory());
    product.setProductName(productForm.getProductName());
    product.setDescription(productForm.getDescription());
    product.setPrice(productForm.getPrice());
    product.setAvailable(productForm.getAvailable());
    
    if (isCancelled(request))
      return mapping.findForward("cancel");
    else
      return (mapping.findForward("success"));
        
  }
}
